/********* TASPrinter.m Cordova Plugin Implementation *******/

#import <Cordova/CDV.h>

@interface TASPrinter : CDVPlugin {
  // Member variables go here.
}

- (void)connect:(CDVInvokedUrlCommand*)command;
- (void)printLine:(CDVInvokedUrlCommand*)command;
- (void)cut:(CDVInvokedUrlCommand*)command;
- (void)disconnect:(CDVInvokedUrlCommand*)command;
@end

@implementation TASPrinter

- (void)connect:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;

    if (false) {
        // TODO attempt to connect to printer.
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

- (void)printLine:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;

    // information on what to print.
    NSString * line = [command.arguments objectAtIndex:0];
    NSNumber * fontSize = [command.arguments objectAtIndex:1];

    if (false) {
        // try to print.
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

- (void)cut:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;

    if (false) {
        // cut paper.
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

- (void)disconnect:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;

    if (false) {
        // disconnect papper.
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

@end
